import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { JsonFilterObjectSchema as JsonFilterObjectSchema } from './JsonFilter.schema';
import { UserScalarRelationFilterObjectSchema as UserScalarRelationFilterObjectSchema } from './UserScalarRelationFilter.schema';
import { UserWhereInputObjectSchema as UserWhereInputObjectSchema } from './UserWhereInput.schema'

const officehourswhereinputSchema = z.object({
  AND: z.union([z.lazy(() => OfficeHoursWhereInputObjectSchema), z.lazy(() => OfficeHoursWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => OfficeHoursWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => OfficeHoursWhereInputObjectSchema), z.lazy(() => OfficeHoursWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  userId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  data: z.lazy(() => JsonFilterObjectSchema).optional(),
  user: z.union([z.lazy(() => UserScalarRelationFilterObjectSchema), z.lazy(() => UserWhereInputObjectSchema)]).optional()
}).strict();
export const OfficeHoursWhereInputObjectSchema: z.ZodType<Prisma.OfficeHoursWhereInput> = officehourswhereinputSchema as unknown as z.ZodType<Prisma.OfficeHoursWhereInput>;
export const OfficeHoursWhereInputObjectZodSchema = officehourswhereinputSchema;
